﻿
@{
    ViewBag.Title = "Monitoring Attendance";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<script src="~/Scripts/jquery-3.3.1.js"></script>
<script>
    var Attendance = function () {

        var start_date = function () {
            var xdate = new Date();
            xdate.setDate(xdate.getDate());
            //if (jQuery().daterpicker) {
            //    $('#start_date').daterangepicker({
            //        rtl: App.isRTL(),
            //        format: "dd/mm/yyyy",
            //        orientation: "left",
            //        //startDate: xdate,
            //        autoclose: true
            //    });
            //    //console.log(xdate);
            //}
            $("#start_date").daterangepicker({
                singleDatePicker: true,
                singleClasses: "picker_4",
                locale: {
                    format: 'DD/MM/YYYY'
                }
            });
            $("#start_date").val(moment(xdate).format("DD/MM/YYYY"));
        }

        return {
            init: function () {
                start_date();
            }
        };
    }();

    $(document).ready(function () {
        Attendance.init();
    });

</script>

<div class="row">
    <div class="col-md-12 col-sm-12 col-xs-12">
        <div class="x_panel">
            <div class="x_title">
                <h2>Monitoring <small>Attendance</small></h2>
                @*<ul class="nav navbar-right panel_toolbox">
                        <li>
                            <a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                        </li>
                        <li class="dropdown">
                            <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false"><i class="fa fa-wrench"></i></a>
                            <ul class="dropdown-menu" role="menu">
                                <li>
                                    <a href="#">Settings 1</a>
                                </li>
                                <li>
                                    <a href="#">Settings 2</a>
                                </li>
                            </ul>
                        </li>
                        <li>
                            <a class="close-link"><i class="fa fa-close"></i></a>
                        </li>
                    </ul>*@
                <div class="clearfix"></div>
            </div>
            <div class="x_content">

                <div class="well" style="overflow: auto">
                    <div class="col-md-2">
                        <input id="start_date" type="text" class="form-control has-feedback-leftt" style="background: #fff; cursor: pointer; padding: 5px 10px; border: 1px solid #ccc" />
                        <span class="fa fa-calendar-o form-control-feedback right" aria-hidden="true"></span>
                    </div>


                    @*<div class="col-md-4">
                        <div id="reportrange_right" class="pull-left" style="background: #fff; cursor: pointer; padding: 5px 10px; border: 1px solid #ccc">
                            <i class="glyphicon glyphicon-calendar fa fa-calendar"></i>
                            <span>December 30, 2014 - January 28, 2015</span> <b class="caret"></b>
                        </div>
                    </div>*@
                </div>

                <p class="text-muted font-13 m-b-30">
                    The Buttons extension for DataTables provides a common set of options, API methods and styling to display buttons on a page that will interact with a DataTable. The core library provides the based framework upon which plug-ins can built.
                </p>
                <table id="datatable-buttons" class="table table-striped jambo_table bulk_action">
                    <thead>
                        <tr>
                            <th>Name</th>
                            <th>Position</th>
                            <th>Office</th>
                            <th>Age</th>
                            <th>Start date</th>
                            <th>Salary</th>
                        </tr>
                    </thead>
                    <tbody></tbody>
                </table>
            </div>
        </div>
    </div>
</div>

